
set( otsdaq_prepmodernization_VERSION 2.05.04 )
set( otsdaq_prepmodernization_UPS_VERSION v2_05_04 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


    find_ups_xdaq( v11_2_7 )

## find_library directives
find_ups_product( artdaq v0_04_02 )
find_ups_boost( v1_53_0 )
find_ups_product( TRACE v3_03_00 )
find_ups_product( art v1_08_10 )
find_ups_product( canvas v1_06_00 )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( cppunit  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_product( canvas_root_io v1_00_00 )
find_ups_root(  )
find_ups_product( artdaq_core  )
find_ups_product( cetpkgsupport v1_08_03 )
find_ups_product( artdaq_utilities  )
find_ups_product( xmlrpc_c v1_25_18 )
find_ups_product( art_root_io v1_00_00 )
find_ups_product( otsdaq v1_00_00 )
find_ups_product( artdaq_database v1_03_07 )
find_ups_product( mongodb v4_0_8 )
find_ups_product( otsdaq_utilities v1_00_00 )
find_ups_product( otsdaq_components v1_00_00 )
set(OTSDAQ-PREPMODERNIZATION_FEINTERFACES_FENIMPLUSINTERFACE_INTERFACE "$ENV{OTSDAQ_PREPMODERNIZATION_LIB}/libotsdaq-prepmodernization_FEInterfaces_FENIMPlusInterface_interface.so")
set(OTSDAQ-PREPMODERNIZATION_FEINTERFACES_FENIMPLUSINTERFACEV1_INTERFACE "$ENV{OTSDAQ_PREPMODERNIZATION_LIB}/libotsdaq-prepmodernization_FEInterfaces_FENIMPlusInterfaceV1_interface.so")
set(OTSDAQ-PREPMODERNIZATION_DATAPROCESSORPLUGINS_BURSTDATAANDTIMESAVERCONSUMER_PROCESSOR "$ENV{OTSDAQ_PREPMODERNIZATION_LIB}/libotsdaq-prepmodernization_DataProcessorPlugins_BurstDataAndTimeSaverConsumer_processor.so")
  include_directories ( "$ENV{OTSDAQ_PREPMODERNIZATION_INC}" )

check_required_components(otsdaq_prepmodernization)

